/*------------------------------------*\
    #TEXTALIGNMENT
\*------------------------------------*/
/**
 * Text alignment helpers.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.helpers';

.#{$inuit-namespace}text--left,
%#{$inuit-namespace}text--left {
    text-align: left;
}

.#{$inuit-namespace}text--right,
%#{$inuit-namespace}text--right {
    text-align: right;
}

.#{$inuit-namespace}text--center,
%#{$inuit-namespace}text--center {
    text-align: center;
}

.#{$inuit-namespace}text--justify,
%#{$inuit-namespace}text--justify {
    text-align: justify;
}

.#{$inuit-namespace}relative,
%#{$inuit-namespace}relative {
    position: relative;
}

.#{$inuit-namespace}responsiveTable,
%#{$inuit-namespace}responsiveTable {
    overflow: hidden;
    overflow-x: scroll;
}
@media only screen and (max-width: 30em){
    .h-responsiveTable {
        margin-bottom: 15px;
    }
    .h-responsiveTable::-webkit-scrollbar {
        width: 12px !important;
        -webkit-appearance: none !important;
    }

    .h-responsiveTable::-webkit-scrollbar:horizontal {
        height: 12px;
    }

    /* Track */
    .h-responsiveTable::-webkit-scrollbar-track {
        -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3) !important;
        -webkit-border-radius: 10px !important;
        border-radius: 10px !important;
    }

    /* Handle */
    .h-responsiveTable::-webkit-scrollbar-thumb {
        -webkit-border-radius: 10px !important;
        border-radius: 10px !important;
        background: #41617D !important;
        -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.5) !important;
    }
    .h-responsiveTable::-webkit-scrollbar-thumb:window-inactive {
        background: #41617D !important;
    }
}
.text-justify {
    text-align: justify;
}

.text-right {
    text-align: right;
}

@media (max-width: 720px) {
    .text-right {
        text-align: left;
    }
}
.text-center {
    text-align: center;
}

#marker a.icon-intern:hover {
    color: #e46450 !important;
}
#marker a.icon-intern:hover:before {
    color: #e46450 !important;
}



p.align-center {
    text-align: center !important;
}
h1.align-center,
h2.align-center,
h3.align-center,
h4.align-center,
h5.align-center {
    text-align: center !important;
}

